## fragrouter 1.6

=== Libnet-0.99b/ports/OpenBSD-FreeBSD/Libnet/Makefile ===
# New ports collection makefile for:    libnet
# Version required:                     0.10
# Dated Created:                        1 January 1999
# Whom:                                 Mike D. Schiffman
#
# $Id: Makefile,v 1.1.1.1 1999/05/18 15:33:43 dugsong Exp $
#

#EXTRACT_SUFX=	.tgz

DISTNAME=       libnet
PKGNAME=        libnet-0.9
CATEGORIES=     net
MASTER_SITES=   http://www.infonexus.com/~daemon9/Libnet/
MAINTAINER=     route@infonexus.com
GNU_CONFIGURE=  yes

# Only during the fetch phase.
# This can be removed along with the lynx fetch command when someone puts
# Libnet up on an ftp site.
IS_INTERACTIVE= yes
FETCH_CMD=      /usr/bin/lynx

WRKSRC=         ${WRKDIR}/Libnet

.include <bsd.port.mk>

# EOF

## fragrouter 1.7

=== Libnet-0.99b/support/bpf-lkm/OpenBSD/Makefile ===
SRCS= ether_mod.c ether_mod_load.c
OBJS=$(SRCS:.c=.o)

MODOBJ=ether_spoof.o
CFLAGS+= -D_KERNEL -I/sys

.include <bsd.subdir.mk>

all:	$(MODOBJ)

$(MODOBJ): $(OBJS)
	$(LD) -r -o $(MODOBJ) $(OBJS) 
clean:
	rm -f *.o

=== debian/changelog ===
fragrouter (1.7-3kali5) kali-dev; urgency=medium

  * Add build flags so that modern GCC can build the package
  * Switch to debhelper compat 13
  * Make configure accept (and ignore) --runstatedir
  * Add superficial test

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 26 Aug 2025 22:13:35 +0700

fragrouter (1.7-3kali4) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Add build flag -Wno-error=implicit-function-declaration

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 14 May 2024 23:14:00 +0700

fragrouter (1.7-3kali3) kali-dev; urgency=medium

  * d/watch: Add fake site as upstream for this package is no more.
  * Add patches to clean up numerous issues with compiling.
  * Add hardening flags to compile
  * Update standards version to 4.6.2, no changes needed.
  * Add patch to stop overriding cflags in included libnet.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Thu, 02 Mar 2023 01:17:22 -0600

fragrouter (1.7-3kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Skip dh_autoreconf
  * Go back to debhelper compat level 10
  * Fix Mati's email
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file
  * Bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Jun 2021 15:39:14 +0200

fragrouter (1.7-3kali1) kali-dev; urgency=medium

  * Packaging cleanups
  * Install upstream manual page
  * Use kali in the version string to clearly indicate the origin of the
    package.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 06 Sep 2018 16:13:08 +0200

fragrouter (1.7-3) kali; urgency=low

  * Cleaned up the debian files

 -- Devon Kearns <dookie@kali.org>  Tue, 18 Dec 2012 17:29:19 -0700

fragrouter (1.7-2) kali; urgency=low

  * Added flex as a dependency

 -- Mati Aharoni <muts@kali.org>  Tue, 18 Dec 2012 16:36:16 -0500

fragrouter (1.7-1) kali; urgency=low

  * Initial release

 -- Mati Aharoni <muts@kali.org>  Tue, 18 Dec 2012 16:11:06 -0500

=== debian/control ===
Source: fragrouter
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Mati Aharoni <muts@kali.org>,
Build-Depends:
 bison,
 debhelper-compat (= 13),
 flex,
 libdumbnet-dev (>= 1.7),
 libevent-dev (>= 0.7),
 libpcap0.8-dev,
Standards-Version: 4.6.2
Homepage: http://www.anzen.com/research/nidsbench/fragrouter.html
Vcs-Git: https://gitlab.com/kalilinux/packages/fragrouter.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/fragrouter

Package: fragrouter
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: IDS evasion toolkit
 Fragrouter is a network intrusion detection evasion toolkit.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Make sure the decades-old source code gets compiled with modern GCC
export DEB_CFLAGS_MAINT_APPEND = \
	-Wno-error=implicit-function-declaration \
	-Wno-error=implicit-int

%:
	dh $@ 

override_dh_autoreconf:
	# The build system is too old to support autoreconf
	
override_dh_auto_install:
	# Skip this step, use manual install with dh_install

=== debian/tests/control ===
Test-Command: clitest debian/tests/fragrouter-usage.txt
Depends: @, clitest
Restrictions: superficial
